curl --request GET \
--url https://{defaultHost}/v1/cancellation_acts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/cancellation_acts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/cancellation_acts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "da7628ce-a648-4a29-a16c-06dbc19f74e6",
"object": "cancellation_act",
"comment": null,
"coupon_applied": false,
"preserved": false,
"performed_at": 1787228348,
"cancellation_reason": "22d05468-f10a-4ef5-a950-2b6985cc9d11",
"subscription": "7381c533-6c2a-4c02-a304-033e2f1c849d",
"created_at": 1787228348,
"updated_at": 1787228348
}Retrieve
Retrieves details of a specific cancellation reason.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
The comment left by the customer when they canceled the subscription.
Whether or not the preservation coupon was applied to the subscription when it was preserved.
Time at which the cancellation act was performed. Measured in seconds since the Unix epoch.
Whether or not this subscription was preserved when the customer went to cancel it.
Expandable – The associated cancellation reason ID.
Expandable – The associated subscription ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?